Skip to main content
POST
Add to requisition type settings: The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to.

Headers

Prefer
enum<string>

Preference

Available options:
return=representation,
return=minimal,
return=none,
resolution=ignore-duplicates,
resolution=merge-duplicates

Query Parameters

select
string

Filtering Columns

Body

requisition_type_settings

The kinds of purchase request a tenant offers, the kinds of line each may carry and the roles each is offered to. An empty role list means every role.

allows_asset
boolean<boolean>
allows_other
boolean<boolean>
allows_part
boolean<boolean>
allows_service
boolean<boolean>
code
string<character varying>
Maximum string length: 40
description
string<text>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
name
string<character varying>
Maximum string length: 150
requires_department
boolean<boolean>
requisitions
integer<bigint>
restricts_price_edit
boolean<boolean>
role_ids
string[]
role_names
string[]
row_version
integer<bigint>

Response

201

Created